#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER fibo

#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./fibo-lttng.h"

#if !defined(_HELLO_TP_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _HELLO_TP_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
    fibo,
    tracing_fibo,
    TP_ARGS(
        size_t, input_integer
    ),
    TP_FIELDS(
        ctf_integer(size_t, input_integer_field, input_integer)
    )
)

#endif /* _HELLO_TP_H */

#include <lttng/tracepoint-event.h>

