#!/usr/bin/python3

from threading import Thread

import time
def printMessage(message):
    print("Message: ", message)
    time.sleep(10)

aThread = Thread(target=printMessage, args=("A Message from a Thread!",))
aThread.start()

if aThread.is_alive():
    print("aThread is alive!")
else:
    print("aThread is not alive!")
    
# give time to aThread to finish
time.sleep(12)

# Check again
if aThread.is_alive():
    print("aThread is alive!")
else:
    print("aThread is not alive!")
